$icomoon-font-path: "/assets/fonts" !default;

@import "lib/icons/style";

:root {
	--color-red: #ea272e;
	--color-orange: #ef6846;
	--color-yellow: #fdcf18;
	--color-green: #50ba49;
	--color-blue: #00a7ee;
}

* {
	box-sizing: border-box;
}

a {
	text-decoration: none;
	color: #00a7ee;

	&:hover {
		text-decoration: underline;
	}
}

body {
	font-family: sans-serif;
	margin: 0;
	padding: 0 0 2rem 0;
	text-align: center;
	background: #eee;
	color: #333;
}

footer {
	background: linear-gradient(
		var(--color-red) 0, var(--color-red) 10%, transparent 10%, transparent 20%,
		var(--color-orange) 20%, var(--color-orange) 30%, transparent 30%, transparent 40%,
		var(--color-yellow) 40%, var(--color-yellow) 50%, transparent 50%, transparent 60%,
		var(--color-green) 60%, var(--color-green) 70%, transparent 70%, transparent 80%,
		var(--color-blue) 80%, var(--color-blue) 90%, transparent 90%
	);
	height: 3rem;
	width: 100%;
}

.footer {
	margin: 4rem 0;
}

h1 {
	font-size: 3rem;
}

h2 {
	text-transform: uppercase;
}

.last-updated {
	color: #aaa;
}

.link {
	background: #ddd;
	border-radius: 1rem;
	padding: 2rem;
	font-size: 1.2rem;
	color: white;
	text-decoration: none !important;
	transition: all 0.3s ease-in-out;
	box-shadow: 0 0 12px rgba(0, 0, 0, 0.4);

	&:hover {
		transform: scale(1.1);
		box-shadow: 0 0 14px rgba(0, 0, 0, 0.2);
	}
	
	p {
		font-style: italic;
		color: #fff;
		font-size: 1rem;
	}

	img {
		max-width: 64px;
		height: auto;
	}

	.icon {
		display: block;
		font-size: 4rem;
	
		&::before {
			color: white;
		}
	}
}

.links {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
	gap: 4rem;
	margin-top: 4rem;

	& > *:nth-child(5n  - 4) {
		background: var(--color-blue);
	}
	& > *:nth-child(5n  - 3) {
		background: var(--color-green);
	}
	& > *:nth-child(5n  - 2) { 
		background: var(--color-yellow);
		&, .icon, .icon::before, p {
			color: #333 !important;
		}
	}
	& > *:nth-child(5n  - 1) {
		background: var(--color-orange);
	}
	& > *:nth-child(5n  - 5) {
		background: var(--color-red);
	}
}

.logo {
	display: inline-block;
	padding: 2rem;
	width: 200px;

	img {
		width: 100%;
		height: auto;
		box-shadow: 0 0 12px rgba(0, 0, 0, 0.3);
		border-radius: 50000px;
	}
}

.wrapper {
	max-width: 1440px;
	margin: 0 auto;
	padding: 2rem;

	> p {
		margin: 4rem 0;
	}
}

/* MOBILE */
@media (max-width: 960px) {
	h1 {
		font-size: 2rem;
	}

	h2 {
		font-size: 1.2rem;
	}

	.logo {
		width: 160px;
	}
}

/* DARK MODE */
@media (prefers-color-scheme: dark) {
	body {
		background: #242424;
		color: white;
	}
}